/* CONTAINER */

.container
  flex-grow 1
  margin 0 auto
  padding 1.75rem 1.5rem
  position relative
  width auto

@media screen and (min-width: 1024px)
  .container
    max-width 960px
    padding 1.75rem 1rem

@media screen and (max-width: 1215px)
  .container
    &.is-widescreen
      &:not(.is-max-desktop)
        max-width 1152px

@media screen and (max-width: 1407px)
  .container
    &.is-fullhd
      &:not(.is-max-desktop):not(.is-max-widescreen)
        max-width 1344px

@media screen and (min-width: 1216px)
  .container
    &:not(.is-max-desktop)
      max-width 1152px

@media screen and (min-width: 1408px)
  .container
    &:not(.is-max-desktop):not(.is-max-widescreen)
      max-width 1344px

.section
  padding 0 1.5rem

//@media screen and (min-width: 1600px)
//  .container
//    &:not(.is-max-desktop):not(.is-max-widescreen)
//      max-width 1400px

/* VISIBILITY */

.is-hidden
  display none !important

@media screen and (max-width: 768px)
  .is-hidden-mobile
    display none !important

@media screen and (min-width: 769px), print
  .is-hidden-tablet
    display none !important

@media screen and (min-width: 769px) and (max-width: 1023px)
  .is-hidden-tablet-only
    display none !important

@media screen and (max-width: 1023px)
  .is-hidden-touch
    display none !important

@media screen and (min-width: 1024px)
  .is-hidden-desktop
    display none !important

@media screen and (min-width: 1024px) and (max-width: 1215px)
  .is-hidden-desktop-only
    display none !important

@media screen and (min-width: 1216px)
  .is-hidden-widescreen
    display none !important

@media screen and (min-width: 1216px) and (max-width: 1407px)
  .is-hidden-widescreen-only
    display none !important

@media screen and (min-width: 1408px)
  .is-hidden-fullhd
    display none !important

/* */

@media screen and (max-width: 768px)
  .is-flex-mobile
    display: flex !important
